vorinc Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Data Fields
vorinc Module Reference
Collaboration diagram for vorinc:

## Public Member Functions
subroutine | init_vortex
subroutine | finalize_vortex

## Data Fields
integer | nentmx
integer | ndatmx
integer, dimension(nentmx), save | icvor
integer, dimension(nentmx), save | icvor2
integer, save | icvmax
integer, save | nvomax
integer, dimension(:), allocatable | irepvo
integer, dimension(:,:), allocatable | ifacgl
integer, dimension(:,:), allocatable | ivorce
double precision, dimension(:,:,:), allocatable | xyzv
double precision, dimension(:,:,:), allocatable | yzcel
double precision, dimension(:,:,:), allocatable | yzvor
double precision, dimension(:,:,:), allocatable | yzvora
double precision, dimension(:,:), allocatable | uvort
double precision, dimension(:,:), allocatable | vvort
double precision, dimension(:,:), allocatable | wvort
double precision, dimension(:,:), allocatable | visv
double precision, dimension(:,:), allocatable | signv
double precision, dimension(:,:), allocatable | sigma
double precision, dimension(:,:,:), allocatable | gamma
double precision, dimension(:,:), allocatable | temps
double precision, dimension(:,:), allocatable | tpslim
integer, save | nnent
integer, dimension(nentmx), save | nvort
integer, dimension(nentmx), save | initvo
integer, dimension(nentmx), save | icas
integer, dimension(nentmx), save | itlivo
integer, dimension(nentmx), save | isgmvo
integer, dimension(nentmx), save | idepvo
integer, dimension(4, nentmx), save | iclvor
integer, dimension(nentmx), save | ndat
double precision, dimension(nentmx), save | tlimvo
double precision, dimension(nentmx), save | xsgmvo
double precision, dimension(nentmx), save | ud
double precision, dimension(ndatmx, nentmx), save | xdat
double precision, dimension(ndatmx, nentmx), save | ydat
double precision, dimension(ndatmx, nentmx), save | zdat
double precision, dimension(ndatmx, nentmx), save | udat
double precision, dimension(ndatmx, nentmx), save | vdat
double precision, dimension(ndatmx, nentmx), save | wdat
double precision, dimension(ndatmx, nentmx), save | dudat
double precision, dimension(ndatmx, nentmx), save | kdat
double precision, dimension(ndatmx, nentmx), save | epsdat
double precision, dimension(nentmx), save | udebit
double precision, dimension(nentmx), save | kdebit
double precision, dimension(nentmx), save | edebit
double precision, dimension(3, nentmx), save | dir1
double precision, dimension(3, nentmx), save | dir2
double precision, dimension(3, nentmx), save | dir3
double precision, dimension(3, nentmx), save | cen
double precision, dimension(3, nentmx), save | surf
double precision, dimension(nentmx), save | ymax
double precision, dimension(nentmx), save | ymin
double precision, dimension(nentmx), save | zmax
double precision, dimension(nentmx), save | zmin
double precision, dimension(nentmx), save | xsurfv
double precision, dimension(nentmx), save | llz
double precision, dimension(nentmx), save | lly
double precision, dimension(nentmx), save | lld
character *50, dimension(nentmx), save | ficvor

## Member Function/Subroutine Documentation

subroutine finalize_vortex | ( |  | ) |

subroutine init_vortex | ( |  | ) |

## Field Documentation

double precision, dimension(3,nentmx), save cen

double precision, dimension(3,nentmx), save dir1

double precision, dimension(3,nentmx), save dir2

double precision, dimension(3,nentmx), save dir3

double precision, dimension(ndatmx,nentmx), save dudat

double precision, dimension(nentmx), save edebit

double precision, dimension(ndatmx,nentmx), save epsdat

character*50, dimension(nentmx), save ficvor

double precision, dimension(:,:,:), allocatable gamma

integer, dimension(nentmx), save icas

integer, dimension(4,nentmx), save iclvor

integer, save icvmax

integer, dimension(nentmx), save icvor

integer, dimension(nentmx), save icvor2

integer, dimension(nentmx), save idepvo

integer, dimension(:,:), allocatable ifacgl

integer, dimension(nentmx), save initvo

integer, dimension(:), allocatable irepvo

integer, dimension(nentmx), save isgmvo

integer, dimension(nentmx), save itlivo

integer, dimension(:,:), allocatable ivorce

double precision, dimension(ndatmx,nentmx), save kdat

double precision, dimension(nentmx), save kdebit

double precision, dimension(nentmx), save lld

double precision, dimension(nentmx), save lly

double precision, dimension(nentmx), save llz

integer, dimension(nentmx), save ndat

integer ndatmx

integer nentmx

integer, save nnent

integer, save nvomax

integer, dimension(nentmx), save nvort

double precision, dimension(:,:), allocatable sigma

double precision, dimension(:,:), allocatable signv

double precision, dimension(3,nentmx), save surf

double precision, dimension(:,:), allocatable temps

double precision, dimension(nentmx), save tlimvo

double precision, dimension(:,:), allocatable tpslim

double precision, dimension(nentmx), save ud

double precision, dimension(ndatmx,nentmx), save udat

double precision, dimension(nentmx), save udebit

double precision, dimension(:,:), allocatable uvort

double precision, dimension(ndatmx,nentmx), save vdat

double precision, dimension(:,:), allocatable visv

double precision, dimension(:,:), allocatable vvort

double precision, dimension(ndatmx,nentmx), save wdat

double precision, dimension(:,:), allocatable wvort

double precision, dimension(ndatmx,nentmx), save xdat

double precision, dimension(nentmx), save xsgmvo

double precision, dimension(nentmx), save xsurfv

double precision, dimension(:,:,:), allocatable xyzv

double precision, dimension(ndatmx,nentmx), save ydat

double precision, dimension(nentmx), save ymax

double precision, dimension(nentmx), save ymin

double precision, dimension(:,:,:), allocatable yzcel

double precision, dimension(:,:,:), allocatable yzvor

double precision, dimension(:,:,:), allocatable yzvora

double precision, dimension(ndatmx,nentmx), save zdat

double precision, dimension(nentmx), save zmax

double precision, dimension(nentmx), save zmin

The documentation for this module was generated from the following file:

- src/turb/vorinc.f90